Get test plan regression
GET
/testplanregressions/{id}Get details of specific test plan regression
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanRegressionsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanRegressionsApi(config);
const result = await api.getTestPlanRegression({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplanregressions/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Plan Regression ID |
Response
Section titled “Response”200 — Selected test plan regression
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
title |
string | Yes | — |
iteration |
number | Yes | — |
test_case_selection |
Array of string | Yes | — |
assigned_to |
Array of User Minified | No | — |
status |
number | Yes | 0 = Draft; 1 = Ready to execute; 2 = Finish; 3 = Finished (with failures); 4 = Archived Values: 0, 1, 2, 3, 4. |
result |
Result Summary | No | — |
result.unexecuted |
number | Yes | — |
result.passed |
number | Yes | — |
result.failed |
number | Yes | — |
result.skipped |
number | Yes | — |
result.blocked |
number | Yes | — |
testplan |
number | No | — |
build |
Build Minified | No | Immutable software Build snapshot captured when this run was created. |
build.id |
number | Yes | — |
build.version |
string | Yes | — |
build.environment |
string | No | — |
build.source |
string | Yes | Values: manual, ci. |
build.release_date |
string | No | — |
build.created_at |
string | No | — |
time_spent |
number | Yes | Time spent on execution of this plan (in seconds) |
created_by |
User Minified | Yes | — |
created_by.id |
number | Yes | — |
created_by.username |
string | No | — |
created_by.name |
string | Yes | — |
created_by.avatar |
Upload | No | — |
created_by.avatar.id |
number | Yes | — |
created_by.avatar.name |
string | Yes | — |
created_by.avatar.hash |
string | Yes | — |
created_by.avatar.ext |
string | Yes | — |
created_by.avatar.mime |
string | Yes | — |
created_by.avatar.size |
string | Yes | — |
created_by.avatar.url |
string | Yes | — |
created_by.avatar.created_by |
number | No | — |
created_by.avatar.created_at |
string | Yes | — |
created_by.avatar.updated_at |
string | Yes | — |
created_by.is_guest |
number | No | — |
created_at |
string | No | Time when the regression was created |
updated_at |
string | No | Time when the regression was created |
configurations |
Test Plan Configurations | No | — |
configurations[].id |
number | Yes | — |
configurations[].parameters |
Array of Config Combination | Yes | — |
configurations[].assigned_to |
User Minified | No | — |
configurations[].assigned_to.id |
number | Yes | — |
configurations[].assigned_to.username |
string | No | — |
configurations[].assigned_to.name |
string | Yes | — |
configurations[].assigned_to.avatar |
Upload | No | — |
configurations[].assigned_to.is_guest |
number | No | — |
last_activity |
string | Yes | — |
pending_queue_id |
number | No | If queue id is returned then the task is still in progress |
{ "id": 123, "title": "example", "iteration": 123, "test_case_selection": [], "assigned_to": [], "status": 0, "result": { "unexecuted": 123, "passed": 123, "failed": 123, "skipped": 123, "blocked": 123 }, "testplan": 123, "build": { "id": 123, "version": "example", "environment": "example", "source": "manual", "release_date": "example", "created_at": "example" }}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |